### Function

# Ide create_project_id

#### Declaration

    gchar*
    ide_create_project_id (
      const gchar* name
    )

#### Description

Escapes the project name into something suitable using as an id. This can be uesd to determine the directory name when the project name should be used.

Available since: | 3.32

#### Parameters

`name` | `const gchar*`
| The name of the project.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| A new string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.